<!DOCTYPE html>
<html xmlns:th="https://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="admin/layout/default_layout">
<head>
    <meta charset="UTF-8">
    <title>SEAV PHOV</title>
</head>
<body>
    <div class="content" layout:fragment="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-primary card-header-icon">
                            <div class="card-icon">
                                <i class="material-icons">note</i>
                            </div>
                            <h4 class="card-title">Document Table</h4>
                        </div>
                        <!-- button Add -->
                        <button class="btn btn-success" data-toggle="modal" data-target="#myModal" style="width: 170px; margin: 20px 10px 0px 15px;">
                            <i class="material-icons">add</i> Upload More</button>
                        </button>

                        <!-- start -->
                        <div class="row">
                            <div class="col-md-12 text-center">
                                <!-- Classic Modal -->
                                <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="col-md-12" style="padding: 0px;">
                                                <form id="RegisterValidation" action="#" method="" novalidate="novalidate">
                                                    <div class="card " style="margin: 0px;">
                                                        <div class="card-header card-header-rose card-header-icon">
                                                            <div class="card-icon">
                                                                <i class="material-icons">mail_outline</i>
                                                            </div>
                                                            <h4 class="card-title">Documents Form</h4>
                                                        </div>
                                                        <div class="card-body " style="text-align: left;">
                                                            <div class="form-group bmd-form-group">
                                                                <label for="exampleEmail" class="bmd-label-floating"> Title *</label>
                                                                <input type="text" class="form-control" id="exampleEmail" required="true" aria-required="true">
                                                            </div>
                                                            <div class="form-group bmd-form-group">
                                                                <label for="examplePassword" class="bmd-label-floating"> Posted By *</label>
                                                                <input type="text" class="form-control" id="examplePassword" required="true" name="password" aria-required="true">
                                                            </div>
                                                            <div class="form-group bmd-form-group">
                                                                <label for="examplePassword1" class="bmd-label-floating"> Posted Date *</label>
                                                                <input type="text" class="form-control" id="examplePassword1" required="true" equalto="#examplePassword" name="password_confirmation"
                                                                    aria-required="true">
                                                            </div>
                                                            <div class="form-group bmd-form-group">
                                                                <label for="exampleEmail" class="bmd-label-floating"> View *</label>
                                                                <input type="text" class="form-control" id="exampleEmail" required="true" aria-required="true">
                                                            </div>
                                                            <div class="form-group bmd-form-group">
                                                                <label for="exampleEmail" class="bmd-label-floating"> Share *</label>
                                                                <input type="text" class="form-control" id="exampleEmail" required="true" aria-required="true">
                                                            </div>
                                                            <div class="form-group bmd-form-group">
                                                                <label for="exampleEmail" class="bmd-label-floating"> Status *</label>
                                                                <input type="text" class="form-control" id="exampleEmail" required="true" aria-required="true">
                                                            </div>
                                                            <div class="category form-category">* Required fields</div>
                                                        </div>
                                                        <div class="card-footer text-right" style="margin: auto;">
                                                            <button type="submit" class="btn btn-rose">Submit</button>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <!--  End Modal -->
                            </div>
                        </div>
                        <!-- end -->
                        <div class="card-body">
                            <div class="toolbar">
                                <!--        Here you can write extra buttons/actions for the toolbar              -->
                            </div>
                            <div class="material-datatables" th:fragment="doc-table">
                                <table class="table" cellspacing="0" width="100%" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Title</th>
                                            <th>Posted By</th>
                                            <th>Posted Date</th>
                                            <th>View</th>
                                            <th>Share</th>
                                            <th>Status</th>
                                            <th class="disabled-sorting text-right" width="12%">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr th:each="article: ${articles}" th:object="${article}">
                                            <td th:text="*{id}"></td>
                                            <td th:text="*{title}"></td>
                                            <td th:text="*{description}"></td>
                                            <td th:text="*{createdDate}" class="created-date"></td>
                                            <td th:text="*{author}"></td>
                                            <td th:text="*{category.categoryName}"></td>
                                            <td><img th:src="*{thumbnail}" style="width: 100px;height: 100px;"></td>
                                            <td class="text-right">
                                                <button type="button" rel="tooltip" class="btn btn-info btn-just-icon btn-sm" data-original-title="" title="">
                                                    <i class="material-icons">remove_red_eye</i>
                                                </button>
                                                <button type="button" rel="tooltip" class="btn btn-success btn-just-icon btn-sm" data-original-title="" title="">
                                                    <i class="material-icons">edit</i>
                                                </button>
                                                <button type="button" rel="tooltip" class="btn btn-danger btn-just-icon btn-sm" data-original-title="" title="">
                                                    <i class="material-icons">close</i>
                                                </button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- end content-->
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <nav aria-label="Page navigation">
                                <ul class="pagination">

                                    <li class="page-item">
                                        <a class="page-link" th:href="@{/documents (page=1, title=${search.title})}">First</a>
                                    </li>


                                    <li class="page-item">
                                        <a class="page-link" th:href="@{/documents (page=${paging.previousPage}, title=${search.title})}">Previous</a>
                                    </li>
                                    <li  th:each="i: ${#numbers.sequence(paging.startPage, paging.endPage)}" th:class="${paging.page}==${i}?'page-item active':'page-item'">
                                        <a class="page-link" th:href="@{/documents (page=${i}, title=${search.title})}" th:text="${i}"></a>
                                    </li>

                                    <li class="page-item">
                                        <a class="page-link" th:href="@{/documents (page=${paging.nextPage}, title=${search.title})}">Next</a>
                                    </li>

                                    <li class="page-item">
                                        <a class="page-link" th:href="@{/documents (page=${paging.totalPages}, title=${search.title})}">Last</a>
                                    </li>

                                </ul>
                            </nav>
                        </div>
                    </div>
                    <!--  end card  -->
                </div>
                <!-- end col-md-12 -->
            </div>
            <!-- end row -->
        </div>
    </div>
</body>
</html>